Altibase.jdbc.driver.cm

## Enum CmConnType

- java.lang.Object
- - java.lang.Enum<CmConnType>
  - - Altibase.jdbc.driver.cm.CmConnType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmConnType>

    public enum CmConnType
    extends java.lang.Enum<CmConnType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IB`
`None`
`SSL`
`TCP`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static CmConnType` `toConnType(java.lang.String aConnType)`
`static CmConnType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmConnType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final CmConnType None

#### TCP

    public static final CmConnType TCP

#### SSL

    public static final CmConnType SSL

#### IB

    public static final CmConnType IB

### Method Detail

#### values

    public static CmConnType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CmConnType c : CmConnType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CmConnType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public int getValue()

#### toConnType

    public static CmConnType toConnType(java.lang.String aConnType)